[Hackage] #831: Strange message

Hackage cvs-ghc at haskell.org
Tue Apr 12 01:46:20 CEST 2011

#831: Strange message
  Reporter:  Ptharien's Flame    |        Owner:                                        
      Type:  defect              |       Status:  new                                   
  Priority:  normal              |    Milestone:                                        
 Component:  cabal-install tool  |      Version:                              
  Severity:  normal              |     Keywords:  base, cabal, install, ghc, version, no
Difficulty:  unknown             |   Ghcversion:                                        
  Platform:  Mac OS              |  
 I just entered this at my terminal prompt:
 sudo cabal install -g ObjectIO
 And its only output was:
 Resolving dependencies...
 cabal: There is no installed version of base
 This problem occurs with any package, not just ObjectIO.
 sudo cabal --version
 cabal-install version 0.10.2
 using version of the Cabal library
 I am working on a 2011 i7 quad-core MacBook Pro running Mac OS X 10.6.7
 (Snow Leopard) and using the Haskell Platform 2011.2.0 (March 2011) with a
 separately pre-built x86_64 binary GHC 7.0.3.  Please help.

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/831>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list